MPD: UPnPDirObject Class Reference

MPD 0.20.15

Public Types | Public Member Functions | Data Fields
UPnPDirObject Class Reference

UpnP Media Server directory entry, converted from XML data. More...

`#include <Object.hxx>`

Collaboration diagram for UPnPDirObject:
[legend]

## Public Types
enum | Type { Type::UNKNOWN, Type::ITEM, Type::CONTAINER }
enum | ItemClass { ItemClass::UNKNOWN, ItemClass::MUSIC, ItemClass::PLAYLIST }

## Public Member Functions
| UPnPDirObject ()=default
| UPnPDirObject (UPnPDirObject &&)=default
| ~UPnPDirObject ()
UPnPDirObject & | operator= (UPnPDirObject &&)=default
void | Clear () noexcept
gcc_pure bool | Check () const noexcept

## Data Fields
std::string | id
| ObjectId. More...
std::string | parent_id
| Parent's ObjectId. More...
std::string | url
std::string | name
| A copy of "dc:title" sanitized as a file name. More...
Type | type
ItemClass | item_class
Tag | tag

## Detailed Description

UpnP Media Server directory entry, converted from XML data.

This is a dumb data holder class, a struct with helpers.

Definition at line 33 of file Object.hxx.

## Member Enumeration Documentation

## ◆ ItemClass

enum UPnPDirObject::ItemClass
| strong

Enumerator
UNKNOWN |
MUSIC |
PLAYLIST |

Definition at line 48 of file Object.hxx.

## ◆ Type

enum UPnPDirObject::Type
| strong

Enumerator
UNKNOWN |
ITEM |
CONTAINER |

Definition at line 35 of file Object.hxx.

## Constructor & Destructor Documentation

## ◆ UPnPDirObject() [1/2]

UPnPDirObject::UPnPDirObject | ( |  | ) |
| default

## ◆ UPnPDirObject() [2/2]

UPnPDirObject::UPnPDirObject | ( | UPnPDirObject && |  | ) |
| default

## ◆ ~UPnPDirObject()

UPnPDirObject::~UPnPDirObject | ( |  | ) |

## Member Function Documentation

## ◆ Check()

gcc_pure bool UPnPDirObject::Check | ( |  | ) | const
| inlinenoexcept

Definition at line 93 of file Object.hxx.

## ◆ Clear()

void UPnPDirObject::Clear | ( |  | ) |
| inlinenoexcept

Definition at line 83 of file Object.hxx.

## ◆ operator=()

UPnPDirObject& UPnPDirObject::operator= | ( | UPnPDirObject && |  | ) |
| default

## Field Documentation

## ◆ id

std::string UPnPDirObject::id

ObjectId.

Definition at line 57 of file Object.hxx.

## ◆ item_class

ItemClass UPnPDirObject::item_class

Definition at line 72 of file Object.hxx.

## ◆ name

std::string UPnPDirObject::name

A copy of "dc:title" sanitized as a file name.

Definition at line 69 of file Object.hxx.

## ◆ parent_id

std::string UPnPDirObject::parent_id

Parent's ObjectId.

Definition at line 62 of file Object.hxx.

## ◆ tag

Tag UPnPDirObject::tag

Definition at line 74 of file Object.hxx.

## ◆ type

Type UPnPDirObject::type

Definition at line 71 of file Object.hxx.

## ◆ url

std::string UPnPDirObject::url

Definition at line 64 of file Object.hxx.

The documentation for this class was generated from the following file:

- db/plugins/upnp/Object.hxx